From 21d4d286824ca9ddc9a7b3ffaf3610792a3fe2f4 Mon Sep 17 00:00:00 2001
From: Jassi Brar <jassi.brar@samsung.com>
Date: Fri, 19 Feb 2010 17:59:41 +0900
Subject: [PATCH 3/3] ASOC: SND_SOC_DAI: Get rid of 'runtime' field

In order for having snd_soc_dai's shared among two or more dai_links,
remove the relatively global 'runtime' field from the 'struct snd_soc_dai'

Signed-off-by: Jassi Brar <jassi.brar@samsung.com>
---
 include/sound/soc-dai.h |    1 -
 sound/soc/soc-core.c    |    2 --
 2 files changed, 0 insertions(+), 3 deletions(-)

diff --git a/include/sound/soc-dai.h b/include/sound/soc-dai.h
index 061f16d..20de0bc 100644
--- a/include/sound/soc-dai.h
+++ b/include/sound/soc-dai.h
@@ -215,7 +215,6 @@ struct snd_soc_dai {
 	unsigned int symmetric_rates:1;
 
 	/* DAI runtime info */
-	struct snd_pcm_runtime *runtime;
 	struct snd_soc_codec *codec;
 	unsigned int active;
 	unsigned char pop_wait:1;
diff --git a/sound/soc/soc-core.c b/sound/soc/soc-core.c
index 524a85a..1215a0e 100644
--- a/sound/soc/soc-core.c
+++ b/sound/soc/soc-core.c
@@ -459,7 +459,6 @@ static int soc_pcm_open(struct snd_pcm_substream *substream)
 	else
 		cpu_dai->capture.active = codec_dai->capture.active = 1;
 	cpu_dai->active = codec_dai->active = 1;
-	cpu_dai->runtime = runtime;
 	card->codec->active++;
 	mutex_unlock(&pcm_mutex);
 	return 0;
@@ -559,7 +558,6 @@ static int soc_codec_close(struct snd_pcm_substream *substream)
 
 	if (platform->pcm_ops->close)
 		platform->pcm_ops->close(substream);
-	cpu_dai->runtime = NULL;
 
 	if (substream->stream == SNDRV_PCM_STREAM_PLAYBACK) {
 		/* start delayed pop wq here for playback streams */
-- 
1.6.2.5

